People & profiles
Update Hris Employee Profile
Updates title, department, manager or phone through a change request that admins auto-approve and apply.
POSThttps://api.toku.com/hris/update-hris-employee-profile
Not available to API keys yet. It will need people:write.
curl --request POST \
--url 'https://api.toku.com/hris/update-hris-employee-profile' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "string",
"department": "string",
"managerName": "string",
"managerEmail": "user@example.com",
"managerRoleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"phoneNumber": "string"
}'200 response
{
"success": true,
"updatedFields": [
"string"
],
"changeRequestId": "string",
"warnings": [
{
"field": "string",
"reason": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstring<uuid>requiredtitlestringAllowed: 1 to 255 characters
departmentstringAllowed: 1 to 255 characters
managerNamestring | nullAllowed: 1 to 255 characters
managerEmailstring | null<email>managerRoleInOrgIDstring | null<uuid>phoneNumberstringAllowed: 1 to 50 characters
Response
200Successful response
successbooleanrequiredupdatedFieldsstring[]requiredchangeRequestIdstringwarningsobject[]Show child attributes
fieldstringrequiredreasonstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits